/* Copyright 2002-2005 The Apache Software Foundation or its licensors, as
 * applicable.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/usr/apache2"
#define DEFAULT_EXP_EXEC_PREFIX "/usr/apache2"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "/usr/apache2/bin"
#define DEFAULT_REL_BINDIR "bin"
#define DEFAULT_EXP_SBINDIR "/usr/apache2/bin"
#define DEFAULT_REL_SBINDIR "bin"
#define DEFAULT_EXP_LIBEXECDIR "/usr/apache2/libexec"
#define DEFAULT_REL_LIBEXECDIR "libexec"
#define DEFAULT_EXP_MANDIR "/usr/apache2/man"
#define DEFAULT_REL_MANDIR "man"
#define DEFAULT_EXP_SYSCONFDIR "/etc/apache2"
#define DEFAULT_REL_SYSCONFDIR "/etc/apache2"
#define DEFAULT_EXP_DATADIR "/var/apache2"
#define DEFAULT_REL_DATADIR "/var/apache2"
#define DEFAULT_EXP_INSTALLBUILDDIR "/var/apache2/build"
#define DEFAULT_REL_INSTALLBUILDDIR "/var/apache2/build"
#define DEFAULT_EXP_ERRORDIR "/var/apache2/error"
#define DEFAULT_REL_ERRORDIR "/var/apache2/error"
#define DEFAULT_EXP_ICONSDIR "/var/apache2/icons"
#define DEFAULT_REL_ICONSDIR "/var/apache2/icons"
#define DEFAULT_EXP_HTDOCSDIR "/var/apache2/htdocs"
#define DEFAULT_REL_HTDOCSDIR "/var/apache2/htdocs"
#define DEFAULT_EXP_MANUALDIR "/usr/apache2/manual"
#define DEFAULT_REL_MANUALDIR "manual"
#define DEFAULT_EXP_CGIDIR "/var/apache2/cgi-bin"
#define DEFAULT_REL_CGIDIR "/var/apache2/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/usr/apache2/include"
#define DEFAULT_REL_INCLUDEDIR "include"
#define DEFAULT_EXP_LOCALSTATEDIR "/usr/apache2"
#define DEFAULT_REL_LOCALSTATEDIR ""
#define DEFAULT_EXP_RUNTIMEDIR "/var/run/apache2"
#define DEFAULT_REL_RUNTIMEDIR "/var/run/apache2"
#define DEFAULT_EXP_LOGFILEDIR "/var/apache2/logs"
#define DEFAULT_REL_LOGFILEDIR "/var/apache2/logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/var/apache2/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "/var/apache2/proxy"

#endif /* AP_CONFIG_LAYOUT_H */
